Bug 495677 - when rpm suggests me how to solve deps, space is missing
when rpm suggests me how to solve deps, space is missing
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
4.8
All Linux
low Severity low
: rc
: ---
Assigned To: Panu Matilainen
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 07:17 EDT by Jan Hutař
Modified: 2011-03-15 09:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 03:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-04-14 07:17:08 EDT
Description of problem:
when rpm suggests me how to solve deps, space is missing in the text


Version-Release number of selected component (if applicable):
rpm-4.3.3-32_nonptl.i386


How reproducible:
always


Steps to Reproduce:
1. # rpm -ivh up2date-gnome-4.8.1-33.el4.i386.rpm


Actual results:
# rpm -ivh /tmp/2009:8125/new/up2date-gnome-4.8.1-33.el4.i386.rpm
error: Failed dependencies:
	gnome-python2 is needed by up2date-gnome-4.8.1-33.el4.i386
	gnome-python2-canvas is needed by up2date-gnome-4.8.1-33.el4.i386
	pygtk2 is needed by up2date-gnome-4.8.1-33.el4.i386
	pygtk2-libglade is needed by up2date-gnome-4.8.1-33.el4.i386
	usermode-gtk is needed by up2date-gnome-4.8.1-33.el4.i386
    Suggested resolutions:
	/var/spool/up2dategnome-python2-2.6.0-3.i386.rpm
	/var/spool/up2dategnome-python2-canvas-2.6.0-3.i386.rpm
	/var/spool/up2datepygtk2-2.4.0-2.el4.i386.rpm
	/var/spool/up2datepygtk2-libglade-2.4.0-2.el4.i386.rpm
	/var/spool/up2dateusermode-gtk-1.74-2.el4.1.i386.rpm
                         ^^^


Expected results:
# rpm -ivh /tmp/2009:8125/new/up2date-gnome-4.8.1-33.el4.i386.rpm
error: Failed dependencies:
	gnome-python2 is needed by up2date-gnome-4.8.1-33.el4.i386
	gnome-python2-canvas is needed by up2date-gnome-4.8.1-33.el4.i386
	pygtk2 is needed by up2date-gnome-4.8.1-33.el4.i386
	pygtk2-libglade is needed by up2date-gnome-4.8.1-33.el4.i386
	usermode-gtk is needed by up2date-gnome-4.8.1-33.el4.i386
    Suggested resolutions:
	/var/spool/up2date gnome-python2-2.6.0-3.i386.rpm
	/var/spool/up2date gnome-python2-canvas-2.6.0-3.i386.rpm
	/var/spool/up2date pygtk2-2.4.0-2.el4.i386.rpm
	/var/spool/up2date pygtk2-libglade-2.4.0-2.el4.i386.rpm
	/var/spool/up2date usermode-gtk-1.74-2.el4.1.i386.rpm
                         ^^^

Note You need to log in before you can comment on or make changes to this bug.